classification
Title: urllib.request.url_open() doesn't support SSLContext
Type: Stage:
Components: Library (Lib) Versions: Python 3.3
process
Status: closed Resolution: rejected
Dependencies: Superseder:
Assigned To: Nosy List: orsenthil, pitrou, vstinner
Priority: normal Keywords: patch

Created on 2011-02-18 11:41 by vstinner, last changed 2013-01-03 01:35 by vstinner. This issue is now closed.

Files
File name Uploaded Description Edit
url_open_ssl_context.patch vstinner, 2011-05-24 15:53 review
Messages (4)
msg128779 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2011-02-18 11:41
Issue #9003 added cafile and capath arguments to url_open(), but it is not possible to reuse a SSLContext object (which would avoid to reload certificates, CRL, etc.).
msg136755 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2011-05-24 15:53
url_open_ssl_context.patch: add optinal ssl_context argument to urllib.request.url_open(). (ca_file, ca_path) and ssl_context are mutual exclusive.
msg136756 - (view) Author: Antoine Pitrou (pitrou) * (Python committer) Date: 2011-05-24 15:56
That's not really useful. If you want to use an SSL context, build your own opener:

opener = build_opener(HTTPSHandler(context=mycontext))
opener.open(...)
msg178879 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2013-01-03 01:35
A solution does already exist, and I'm not motivated to work on an helper, so I'm closing this issue.
History
Date User Action Args
2013-01-03 01:35:13vstinnersetstatus: open -> closed
resolution: rejected
messages: + msg178879
2011-05-24 15:56:51pitrousetmessages: + msg136756
2011-05-24 15:53:44vstinnersetfiles: + url_open_ssl_context.patch
keywords: + patch
messages: + msg136755
2011-02-18 14:28:52orsenthilsetnosy: + orsenthil
2011-02-18 11:41:57vstinnercreate